Bug 109873 - Log4j level adjuster should preserve changes across restarts
Summary: Log4j level adjuster should preserve changes across restarts
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
(Show other bugs)
Version: nightly
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-12 16:35 UTC by Daniel Berrange
Modified: 2007-04-18 16:59 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 17:28:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Berrange 2003-11-12 16:35:03 UTC
Description of problem:

When debugging a problem it is common to use the log4j level adjuster
to change the logging priorities of a number of categories. A
developer may then make some code changes, re-deploy & restart the
server. At which point they have to change all the log4j levels again.
This cycle may repeat several times. What is needed is for changes
made to log4j levels to be persisted across server restarts, although
probably only when the 'debugMode' flag is set to true.

Comment 1 Daniel Berrange 2006-09-02 17:28:41 UTC
Closing old tickets



Note You need to log in before you can comment on or make changes to this bug.